Subject: Re: DWIM "git checkout frotz" to "git checkout -b frotz origin/frotz"

From: Clemens Buchacher <[email-masked]>
Date: Mon, 7 Jun 2010 20:29:56 +0200

On Sun, Jun 06, 2010 at 02:26:08PM -0700, Jacob Helwig wrote:
>
> > And this is exactly _why_ it can be marginally useful if the
> > foretelling is correct, but all the more confusing if it's not.
> >
> 
> Other than "unexpected success", how is the DWIM behavior confusing,
> given that it says exactly what it's doing when the DWIM behavior is
> invoked?  I'm still not clear what the confusion you're referring to
> is on this one.

I am telling git to checkout a branch. Instead it creates a branch.
That is what is confusing to me. Until I found the commit that
introduced it, I was sure it must be a bug.